package com.kuyuntech.cofarcooking.device.sdk.devmode.core;

import com.kuyuntech.cofarcooking.device.sdk.constant.core.WorkModes;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

@EqualsAndHashCode(callSuper = true)
@Data
@ToString
public class RiceCooking extends BaseDevMode{

    public RiceCooking(){

        this.setMode(WorkModes.RICE_COOKING);


        //时间
        this.setMinTime(0);
        this.setMaxTime(40 * 60);
        this.setDefaultTime(30 * 60);
        this.setTimeChange(true);

        //电机
        this.setDefaultMotorGear(1);
        this.setMaxMotorGear(1);
        this.setMaxMotorGear(1);
        this.setMotorGearChange(false);
        this.setMotorDirectionChange(false);

        //温度
        this.setDefaultTemp(100);
        this.setMinTemp(100);
        this.setMaxTemp(100);
        this.setTempChange(false);
    }


}
