package com.kuyuntech.cofarcooking.device.sdk.eventbus.listener;

import com.kuyuntech.cofarcooking.device.sdk.eventbus.event.Dev2McuDataEvent;
import org.greenrobot.eventbus.Subscribe;
import org.greenrobot.eventbus.ThreadMode;


public class Dev2McuEventListener {

    private final Callback callback;

    public interface Callback{
        void onDev2McuEvent(Dev2McuDataEvent event);
    }

    public Dev2McuEventListener(Callback callback){
        this.callback = callback;
    }

    @Subscribe
    public void onDev2McuEvent(Dev2McuDataEvent event){
        callback.onDev2McuEvent(event);
    }

}



